Vector::BLF::AppText(3)

NAME
Vector::BLF::AppText - APP_TEXT.

SYNOPSIS

#include <AppText.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum Source : uint32_t { MeasurementComment = 0x00000000, DbChannelInfo = 0x00000001, MetaData = 0x00000002 }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint32_t source {}
source of text
uint32_t reservedAppText1 {}
reserved
uint32_t textLength {}
text length in bytes
uint32_t reservedAppText2 {}
std::string text {}
text in MBCS
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

APP_TEXT. Application defined text to be saved in BLF log file (currently not used in CANoe/CANalyzer).

Member Enumeration Documentation

  enum Vector::BLF::AppText::Source : uint32_t
enumeration for source

Enumerator

MeasurementComment
    measurement comment

DbChannelInfo
    database channel info

MetaData
    meta data

Member Function Documentation

  uint32_t Vector::BLF::AppText::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AppText::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::AppText::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint32_t Vector::BLF::AppText::reservedAppText1 {}

reserved Depends on source.

  uint32_t Vector::BLF::AppText::reservedAppText2 {}
reserved

  uint32_t Vector::BLF::AppText::source {}

source of text Defines the source/semantic of the text. Actually two different values are defined:

0: Measurement comment

•   reserved is not used

•   text contains a measurement comment

1: Database channel information

•   reserved contains channel information. The following

•   table show how the 4 bytes are used:

•   Bit 0-7: Version of the data

•   Bit 8-15: Channel number

•   Bit 15-23: Bus type of the channel. One of the following values:

•   1: BL_BUSTYPE_CAN

•   5: BL_BUSTYPE_LIN

•   6: BL_BUSTYPE_MOST

•   7: BL_BUSTYPE_FLEXRAY

•   9: BL_BUSTYPE_J1708

•   10: BL_BUSTYPE_ETHERNET

•   13: BL_BUSTYPE_WLAN

•   14: BL_BUSTYPE_AFDX

•   Bit 24: Flag, that determines, if channel is a CAN- FD channel

•   Bit 25-31: Unused at the moment

•   text contains database information for the specific channel. Each database is defined by the database path and the cluster name (if available). The single databases and the cluster name are separated by a semicolon. Example: <Path1>;<ClusterName1>;<Path2>;<ClusterName2>;... If for a database there's no cluster name available, an empty string is written as cluster name.

2: Meta data

  std::string Vector::BLF::AppText::text {}

text in MBCS Text to be saved to log file.

  uint32_t Vector::BLF::AppText::textLength {}

text length in bytes Length of text without ending 0.

Author

Generated automatically by Doxygen for Vector BLF from the source code.